.header {
    background-color: #2b2b2b;
    width: 100%;
    padding: 12px 24px;
    box-sizing: border-box;
    position: sticky;
    top: 0;
    z-index: 10;
    opacity: 0.9;
}

.header::after {
    content: "";
    position: absolute;
    bottom: 0;
    border-radius: 4px 4px 0px 0px;
    background-color: #e6421d;
    height: 4px;
    transition: all 0.3s ease;
    left: var(--indicator-left, 0);
    width: var(--indicator-width, 0);
}

.header-container {
    display: flex;
    margin-left: 13%;
    justify-self: start;
    align-items: center;
    gap: 100px;
}

.left-header {
    display: flex;
    align-items: center;
    gap: 16px;
}

.logo {
    height: 45px;
    width: auto;
    left: 200px;
}

.nav {
    display: flex;
    gap: 32px;
}

.nav-item {
    color: #d0d0d0;
    text-decoration: none;
    font-size: 16px;
    line-height: 24px;
    transition: color 0.3s ease;
    font-family: 'At Aero TRIAL';
}

.nav-item:hover,
.nav-item.active {
    font-size: 18px;
    line-height: 24px;
    font-weight: bold;
    font-family: 'At Aero TRIAL';
    color: #fff;
}

.hamburger {
    display: none;
    font-size: 28px;
    color: white;
    cursor: pointer;
}

.nav-logo-mobile {
    display: none;
}

.extra-link {
    display: none;
}

.nav-close {
    display: none;
}

@media (max-width: 768px) {
    .header-container {
        margin-left: 0;
        display: flex;
        justify-self: start;
        align-items: start;
        gap: 0px;
    }

    .header::after {
        display: none;
    }

    .nav-logo-mobile {
        display: block;
        width: 120px;
        margin-top: 50px;
        align-items: center;
        align-self: center;
        margin-bottom: 20px;
    }

    .nav {
        position: fixed;
        top: 0;
        left: 0;
        width: 250px;
        height: 100vh;
        background-color: #2B2B2B;
        flex-direction: column;
        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 1000;
    }

    .nav-item:hover,
    .nav-item.active {
        font-size: 18px;
        line-height: 24px;
        font-weight: bold;
        font-family: 'At Aero TRIAL';
        color: #e6421d;
    }

    .nav-item {
        padding: 0px 24px;
    }

    .nav .extra-link {
        flex-direction: column;
        margin-top: 50px;
        left: 0;
        gap: 24px;
        display: flex;
    }

    .nav.show {
        transform: translateX(0);
    }

    .hamburger {
        display: block;
    }

    .logo {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    .header-line {
        position: relative;
        left: 0px;
        display: block;
        background: linear-gradient(90deg, #e6421d, rgba(0, 0, 0, 0));
        height: 2px;
    }

    .nav-close {
        display: block;
        font-size: 28px;
        color: #5F6368;
        cursor: pointer;
        position: absolute;
        top: 16px;
        right: 16px;
        z-index: 1001;
    }
}